
	-- Lightroom SDK

	-- Sample plug-in
local LeicaTetheredTetherTask = require 'LeicaTetheredTetherTask'


--============================================================================--

return {

	init = LeicaTetheredTetherTask.init,
	shutdown = LeicaTetheredTetherTask.shutdown,
	
	setCallback = LeicaTetheredTetherTask.setCallback,
	
	
	startDeviceSearch = LeicaTetheredTetherTask.startDeviceSearch,
	stopDeviceSearch = LeicaTetheredTetherTask.stopDeviceSearch,
	queryDevices = LeicaTetheredTetherTask.queryDevices,
	connectDevice = LeicaTetheredTetherTask.connectDevice,
	disconnectDevice = LeicaTetheredTetherTask.disconnectDevice,
	getCameraSettings = LeicaTetheredTetherTask.getCameraSettings,
	
	doCapture = LeicaTetheredTetherTask.doCapture,
	
	pollForMessages = LeicaTetheredTetherTask.pollForMessages,
	
	
	
--------------------------------------------------------------------------------
--- Host is asking for some info about this image before download.
 -- <p>First supported in version 3.0 of the Lightroom SDK.</p>
	-- @name TetherTask.getCaptureInfo
	-- @class function
	-- @param deviceId (string) The device ID
	-- @param captureId (string) The capture ID provided by the plugin 
		-- when doCapture was called
	-- @return (table) A table consisting of the following fields
		-- status (string) - required - A string of one of: 
			-- 'notReady': Plugin isn't ready to provide this info yet. The
				-- download of the file will not progress until the plugin
				-- provides this data.
			-- 'error':  There was an error on capture, and the download of the
				-- captured file should not be attempted
			-- 'ok': The image data is being provided
		-- fileType (string) The file type for the image. This would generally
			-- be the file extension for the downloaded file, such as 
			-- 'CR2', 'NRW', 'JPG', etc.
			-- This parameter should only be provided if the status was 'ok'
		-- fileLength (number) The total size of the image file
			-- This parameter should only be provided if the status was 'ok'
		-- errorMsg (string) A string describing the error that occurred
			-- This parameter should only be provided if the status was 'error'.
	
	getCaptureInfo = LeicaTetheredTetherTask.getCaptureInfo,
	
	
--------------------------------------------------------------------------------
--- Host is asking plugin to start downloading the image from the camera.
 -- <p>First supported in version 3.0 of the Lightroom SDK.</p>
	-- @name TetherTask.startDownload
	-- @class function
	-- @param deviceId (string) The device ID
	-- @param captureId (string) The capture ID provided by the plugin 
		-- when doCapture was called
	-- @return none
	
	startDownload = LeicaTetheredTetherTask.startDownload,
	
--------------------------------------------------------------------------------
	
}


